From 307f112d518b11be27e27eca1bbb6eff12302e6f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 05 2015 17:41:33 +0000
Subject: [PATCH 82/254] Hide chrome if there is no content.


---

diff --git a/hubs/widgets/chrome.py b/hubs/widgets/chrome.py
index 4ea42c6..de38df1 100644
--- a/hubs/widgets/chrome.py
+++ b/hubs/widgets/chrome.py
@@ -25,7 +25,7 @@ _panel_heading_template = jinja2.Template("""
 """)
 
 
-def panel(title=None, klass="panel-default"):
+def panel(title=None, klass="panel-default", key=None):
     def decorator(func):
         @wraps(func)
         def inner(*args, **kwargs):
@@ -33,6 +33,8 @@ def panel(title=None, klass="panel-default"):
             if title:
                 heading = _panel_heading_template.render(title=title)
             content = func(*args, **kwargs)
+            if key and not kwargs.get(key):
+                return content
             return _panel_template.render(
                 content=content,
                 heading=heading,
diff --git a/hubs/widgets/workflow/pendingacls.py b/hubs/widgets/workflow/pendingacls.py
index 40149e4..ad79a7e 100644
--- a/hubs/widgets/workflow/pendingacls.py
+++ b/hubs/widgets/workflow/pendingacls.py
@@ -31,7 +31,8 @@ template = jinja2.Template("""
 """)
 
 from hubs.widgets.chrome import panel
-chrome = panel("Pending ACLs")
+# If 'pending_acls' is empty, then don't render any chrome.
+chrome = panel('Pending ACL Requests', key='pending_acls')
 
 
 @argument(name="username",

